"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.I18NextTranslationStore = void 0;
const store_1 = require("svelte/store");
class I18NextTranslationStore {
    constructor(i18n) {
        this.i18n = this.createInstance(i18n);
    }
    createInstance(i18n) {
        const i18n_writable = (0, store_1.writable)(i18n);
        i18n.on('initialized', () => {
            i18n_writable.set(i18n);
        });
        i18n.on('onLoaded', () => i18n_writable.set(i18n));
        i18n.on('added', () => i18n_writable.set(i18n));
        i18n.on('languageChanged', () => {
            i18n_writable.set(i18n);
        });
        return i18n_writable;
    }
}
exports.I18NextTranslationStore = I18NextTranslationStore;
//# sourceMappingURL=translation-store.js.map